Multivariate Pattern Analysis in Python

# mvpa2.misc.surfing.volume_mask_dict.Mapping

class `mvpa2.misc.surfing.volume_mask_dict.``Mapping`

  A Mapping is a generic container for associating key/value pairs.

  This class provides concrete generic implementations of all methods except for __getitem__, __iter__, and __len__.

  Methods

  `get`(k[, d]) → D[k] if k in D, else d. d defaults to None.
  `items`() → list of D's (key, value) pairs, as 2-tuples
  `iteritems`() → an iterator over the (key, value) items of D
  `iterkeys`() → an iterator over the keys of D
  `itervalues`() → an iterator over the values of D
  `keys`() → list of D's keys
  `values`() → list of D's values